Package org.eclipse.lemminx.commons

## Class ModelValidatorDelayer<T>

- java.lang.Object
- - org.eclipse.lemminx.commons.ModelValidatorDelayer<T>

Type Parameters:
  `T` -

    public class ModelValidatorDelayer<T>
    extends Object

Validate a given model document with delay.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ModelValidatorDelayer​(ScheduledExecutorService executorService, Consumer<ModelTextDocument<T>> validator, long validationDelayMs)`
`ModelValidatorDelayer​(Consumer<ModelTextDocument<T>> validator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanPendingValidation​(String uri)`
`void` `validateWithDelay​(ModelTextDocument<T> document)` Validate the given model `document` identified by the given `uri` with a delay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelValidatorDelayer

    public ModelValidatorDelayer​(Consumer<ModelTextDocument<T>> validator)

#### ModelValidatorDelayer

    public ModelValidatorDelayer​(ScheduledExecutorService executorService,
                                 Consumer<ModelTextDocument<T>> validator,
                                 long validationDelayMs)

### Method Detail

#### validateWithDelay

    public void validateWithDelay​(ModelTextDocument<T> document)

Validate the given model `document` identified by the given `uri` with a delay.

Parameters:
  `uri` - the document URI.
  `document` - the document model to validate.

#### cleanPendingValidation

    public void cleanPendingValidation​(String uri)